[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Qemu-block] [PATCH v1 16/23] tests/qemu-iotests/005: Add a sanity check
From: |
Alex Bennée |
Subject: |
[Qemu-block] [PATCH v1 16/23] tests/qemu-iotests/005: Add a sanity check for large sparse file support |
Date: |
Thu, 9 May 2019 17:59:04 +0100 |
From: Thomas Huth <address@hidden>
"check -raw 005" fails when running on certain filesystems - these do not
support such large sparse files. Use the same check as in test 220 to
skip the test in this case.
Suggested-by: Eric Blake <address@hidden>
Reviewed-by: Eric Blake <address@hidden>
Signed-off-by: Thomas Huth <address@hidden>
Message-Id: <address@hidden>
Signed-off-by: Alex Bennée <address@hidden>
---
tests/qemu-iotests/005 | 9 +++++++++
1 file changed, 9 insertions(+)
diff --git a/tests/qemu-iotests/005 b/tests/qemu-iotests/005
index 2fef63af882..9c7681c19bc 100755
--- a/tests/qemu-iotests/005
+++ b/tests/qemu-iotests/005
@@ -55,6 +55,15 @@ if [ "$IMGPROTO" = "sheepdog" ]; then
_notrun "image protocol $IMGPROTO does not support large image sizes"
fi
+# Sanity check: For raw, we require a file system that permits the creation
+# of a HUGE (but very sparse) file. Check we can create it before continuing.
+if [ "$IMGFMT" = "raw" ]; then
+ if ! truncate --size=5T "$TEST_IMG"; then
+ _notrun "file system on $TEST_DIR does not support large enough files"
+ fi
+ rm "$TEST_IMG"
+fi
+
echo
echo "creating large image"
_make_test_img 5000G
--
2.20.1
- [Qemu-block] [PATCH v1 16/23] tests/qemu-iotests/005: Add a sanity check for large sparse file support,
Alex Bennée <=